%define module astroid

%define __noautoreq 'python3egg\\(enum34\\)|python3egg\\(backports.functools-lru-cache\\)'

Summary:	Extension of compiler.ast Python module
Name:		python-%{module}
Version:	1.5.3
Release:	1
License:	GPLv2+
Group:		Development/Python
Url:		http://www.pylint.org/astroid
Source0:	https://pypi.python.org/packages/d7/b7/112288f75293d6f12b1e41bac1e822fd0f29b0f88e2c4378cdd295b9d838/%{module}-%{version}.tar.gz
BuildRequires:	pythonegg(setuptools)
Requires:	pythonegg(logilab-common) >= 0.62.0
Provides:	python-logilab-astng = %{EVRD}
Provides:	pythonegg(logilab-astng) = %{EVRD}
Obsoletes:	python-logilab-astng < 0.25
BuildArch:	noarch

%description
This module provides a common base representation of Python source
code for Logilab projects such as pylint. It extends class defined in
the compiler.ast module with some additional methods and attributes

%files
%doc COPYING ChangeLog
%{py_puresitedir}/astroid*

#----------------------------------------------------------------------------

%package -n python3-%{module}
Summary:	Extension of compiler.ast Python module
BuildRequires:	python3-setuptools
Requires:	python3-logilab-common >= 0.62.0
Provides:	python3-logilab-astng = %{EVRD}
Provides:	python3egg(logilab-astng) = %{EVRD}
Obsoletes:	python3-logilab-astng < 0.25

%description -n python3-%{module}
This module provides a common base representation of Python source
code for Logilab projects such as pylint. It extends class defined in
the compiler.ast module with some additional methods and attributes

This is a version for Python 3.

%files -n python3-%{module}
%doc COPYING ChangeLog
%{py3_puresitedir}/astroid*

#----------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

# py3K prep
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
NO_SETUPTOOLS=1 python setup.py build

# py3k build
pushd %{py3dir}
NO_SETUPTOOLS=1 python3 setup.py build
popd

%install
# py3k install
pushd %{py3dir}
NO_SETUPTOOLS=1 python3 setup.py install -O1 --root %{buildroot}
rm -rf %{buildroot}%{py3_puresitedir}/astroid/tests
popd

# python2
NO_SETUPTOOLS=1 python setup.py install -O1 --root=%{buildroot}
rm -rf %{buildroot}%{py_puresitedir}/astroid/tests


%changelog

* Thu Aug 31 2017 Denis Silakov <denis.silakov@rosalab.ru> 1.5.3-1
- (89286cf) Drop unneeded python3 reqs


